package com.lightinit.hsdataplatformresdir.service.admin;

import com.lightinit.hsdataplatformresdir.model.ResultState;
import com.lightinit.hsdataplatformresdir.model.admin.AuthorizationHeableModel;
import com.lightinit.hsdataplatformresdir.model.admin.AuthorizationListModel;
import com.lightinit.hsdataplatformresdir.model.admin.AuthorizationSearchModel;
import com.lightinit.hsdataplatformresdir.model.admin.AuthorizationViewModel;

import java.util.List;

public interface IAuthorizationService {
    List<AuthorizationListModel> queryList(AuthorizationSearchModel inputModel);

    long queryCount(AuthorizationSearchModel inputModel);

    AuthorizationViewModel queryOneView(long id);

    ResultState<Long> handle(AuthorizationHeableModel inputModel,Long followId);

    int isAdminFalg(Long id);
}
